

                         _ __  _   _  ___ _ __ ___
                        | '_ \| | | |/ __| '__/ __|
                        | |_) | |_| | (__| | | (__
                        | .__/ \__, |\___|_|  \___|
                        |_|    |___/

                             https://pycrc.org


pycrc is a free, easy to use Cyclic Redundancy Check (CRC) calculator and C
source code generator.



System Requirements
===================

Python3 is required to run pycrc.
The last version compatible with Python 2 is v0.9.x.

Running pycrc
=============

This program doesn't need to be installed to be run. The script can be
executed from the source directory.
Simply call the python interpreter with the script as parameter:

    python3 src/pycrc.py [options]

Installation
============

Install pycrc (if required) using pip:

    python3 -m pip install pycrc

This will install a `pycrc` binary in the path.


Getting help
============

If you are new to pycrc and want to generate C code, start with
[the tutorial](https://pycrc.org/tutorial.html).

The [pycrc manual page](https://pycrc.org/pycrc.html) explains the command line
options in some detail and also gives some more examples how to use pycrc.

If you have found a bug in pycrc or want to request a feature please take the
time and submit it to the
[issue tracker](https://github.com/tpircher/pycrc/issues).
Thanks for your help.

Also see the [frequently asked questions](https://pycrc.org/faq.html).


Feedback
========

If you like pycrc, let me know and drop me a note. If you don't like pycrc let
me know what you don't like and why. In both cases, I would really appreciate
some [feed back](https://sourceforge.net/projects/pycrc/reviews/).
If you want some idea how to say thanks for this software, please have a look
[here](https://www.tty1.net/say-thanks_en.html).


Copyright of the generated source code
======================================

The code generated by pycrc is not considered a substantial portion of the
software, therefore the licence does not cover the generated code, and the
author of pycrc will not claim any copyright on the generated code.
